diff --git a/compiler/simplCore/SetLevels.lhs b/compiler/simplCore/SetLevels.lhs
index 2fca56c..eb5e0fe 100644
--- a/compiler/simplCore/SetLevels.lhs
+++ b/compiler/simplCore/SetLevels.lhs
@@ -824,29 +818,29 @@ lvlLamBndrs lvl bndrs
 destLevel :: LevelEnv -> VarSet -> Bool -> 
              Maybe (Arity, StrictSig) -> Level
 destLevel env fvs is_function mb_bot
-  | Just {} <- mb_bot = tOP_LEVEL	-- Send bottoming bindings to the top 
-					-- regardless; see Note [Bottoming floats]
+  | Just {} <- mb_bot = tOP_LEVEL       -- Send bottoming bindings to the top 
+                                        -- regardless; see Note [Bottoming floats]
   | Just n_args <- floatLams env
-  , n_args > 0	-- n=0 case handled uniformly by the 'otherwise' case
+  , n_args > 0  -- n=0 case handled uniformly by the 'otherwise' case
   , is_function
   , countFreeIds fvs <= n_args
-  = tOP_LEVEL	-- Send functions to top level; see
-		-- the comments with isFunction
+  = tOP_LEVEL   -- Send functions to top level; see
+                -- the comments with isFunction
 
   | otherwise = maxFvLevel isId env fvs  -- Max over Ids only; the tyvars
-    	      		   	    	 -- will be abstracted
+                                         -- will be abstracted
 
 isFunction :: CoreExprWithFVs -> Bool
 -- The idea here is that we want to float *functions* to
 -- the top level.  This saves no work, but 
---	(a) it can make the host function body a lot smaller, 
---		and hence inlinable.  
---	(b) it can also save allocation when the function is recursive:
---	    h = \x -> letrec f = \y -> ...f...y...x...
---		      in f x
+--      (a) it can make the host function body a lot smaller, 
+--              and hence inlinable.  
+--      (b) it can also save allocation when the function is recursive:
+--          h = \x -> letrec f = \y -> ...f...y...x...
+--                    in f x
 --     becomes
---	    f = \x y -> ...(f x)...y...x...
---	    h = \x -> f x x
+--          f = \x y -> ...(f x)...y...x...
+--          h = \x -> f x x
 --     No allocation for f now.
 -- We may only want to do this if there are sufficiently few free 
 -- variables.  We certainly only want to do it for values, and not for
@@ -866,42 +860,42 @@ countFreeIds = foldVarSet add 0
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Free-To-Level Monad}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 data LevelEnv 
   = LE { le_switches :: FloatOutSwitches
-       , le_lvl_env  :: VarEnv Level	-- Domain is *post-cloned* TyVars and Ids
-       , le_subst    :: Subst 		-- Domain is pre-cloned Ids; tracks the in-scope set
-					-- 	so that substitution is capture-avoiding
+       , le_lvl_env  :: VarEnv Level    -- Domain is *post-cloned* TyVars and Ids
+       , le_subst    :: Subst           -- Domain is pre-cloned Ids; tracks the in-scope set
+                                        --      so that substitution is capture-avoiding
                                         -- The Id -> CoreExpr in the Subst is ignored
                                         -- (since we want to substitute in LevelledExpr
                                         -- instead) but we do use the Co/TyVar substs
-       , le_env      :: IdEnv ([Var], LevelledExpr)	-- Domain is pre-cloned Ids
+       , le_env      :: IdEnv ([Var], LevelledExpr)     -- Domain is pre-cloned Ids
     }
-	-- We clone let-bound variables so that they are still
-	-- distinct when floated out; hence the le_subst/le_env.
+        -- We clone let-bound variables so that they are still
+        -- distinct when floated out; hence the le_subst/le_env.
         -- (see point 3 of the module overview comment).
-	-- We also use these envs when making a variable polymorphic
-	-- because we want to float it out past a big lambda.
-	--
-	-- The le_subst and le_env always implement the same mapping, but the
-	-- le_subst maps to CoreExpr and the le_env to LevelledExpr
-	-- Since the range is always a variable or type application,
-	-- there is never any difference between the two, but sadly
-	-- the types differ.  The le_subst is used when substituting in
-	-- a variable's IdInfo; the le_env when we find a Var.
-	--
-	-- In addition the le_env records a list of tyvars free in the
-	-- type application, just so we don't have to call freeVars on
-	-- the type application repeatedly.
-	--
-	-- The domain of the both envs is *pre-cloned* Ids, though
-	--
-	-- The domain of the le_lvl_env is the *post-cloned* Ids
+        -- We also use these envs when making a variable polymorphic
+        -- because we want to float it out past a big lambda.
+        --
+        -- The le_subst and le_env always implement the same mapping, but the
+        -- le_subst maps to CoreExpr and the le_env to LevelledExpr
+        -- Since the range is always a variable or type application,
+        -- there is never any difference between the two, but sadly
+        -- the types differ.  The le_subst is used when substituting in
+        -- a variable's IdInfo; the le_env when we find a Var.
+        --
+        -- In addition the le_env records a list of tyvars free in the
+        -- type application, just so we don't have to call freeVars on
+        -- the type application repeatedly.
+        --
+        -- The domain of the both envs is *pre-cloned* Ids, though
+        --
+        -- The domain of the le_lvl_env is the *post-cloned* Ids
 
 initialEnv :: FloatOutSwitches -> LevelEnv
 initialEnv float_lams 
@@ -985,58 +979,58 @@ maxFvLevel max_me (LE { le_lvl_env = lvl_env, le_env = id_env }) var_set
   where
     max_in in_var lvl 
        = foldr max_out lvl (case lookupVarEnv id_env in_var of
-				Just (abs_vars, _) -> abs_vars
-				Nothing		   -> [in_var])
+                                Just (abs_vars, _) -> abs_vars
+                                Nothing            -> [in_var])
 
     max_out out_var lvl 
-	| max_me out_var = case lookupVarEnv lvl_env out_var of
-				Just lvl' -> maxLvl lvl' lvl
-				Nothing   -> lvl 
-	| otherwise = lvl	-- Ignore some vars depending on max_me
+        | max_me out_var = case lookupVarEnv lvl_env out_var of
+                                Just lvl' -> maxLvl lvl' lvl
+                                Nothing   -> lvl 
+        | otherwise = lvl       -- Ignore some vars depending on max_me
 
 lookupVar :: LevelEnv -> Id -> LevelledExpr
 lookupVar le v = case lookupVarEnv (le_env le) v of
-		    Just (_, expr) -> expr
-		    _              -> Var v
+                    Just (_, expr) -> expr
+                    _              -> Var v
 
 abstractVars :: Level -> LevelEnv -> VarSet -> [Var]
-	-- Find the variables in fvs, free vars of the target expresion,
-	-- whose level is greater than the destination level
-	-- These are the ones we are going to abstract out
+        -- Find the variables in fvs, free vars of the target expresion,
+        -- whose level is greater than the destination level
+        -- These are the ones we are going to abstract out
 abstractVars dest_lvl (LE { le_lvl_env = lvl_env, le_env = id_env }) fvs
   = map zap $ uniq $ sortQuantVars
-	[var | fv <- varSetElems fvs
-	     , var <- varSetElems (absVarsOf id_env fv)
-	     , abstract_me var ]
-	-- NB: it's important to call abstract_me only on the OutIds the
-	-- come from absVarsOf (not on fv, which is an InId)
+        [var | fv <- varSetElems fvs
+             , var <- varSetElems (absVarsOf id_env fv)
+             , abstract_me var ]
+        -- NB: it's important to call abstract_me only on the OutIds the
+        -- come from absVarsOf (not on fv, which is an InId)
   where
     uniq :: [Var] -> [Var]
-	-- Remove adjacent duplicates; the sort will have brought them together
+        -- Remove adjacent duplicates; the sort will have brought them together
     uniq (v1:v2:vs) | v1 == v2  = uniq (v2:vs)
-		    | otherwise = v1 : uniq (v2:vs)
+                    | otherwise = v1 : uniq (v2:vs)
     uniq vs = vs
 
     abstract_me v = case lookupVarEnv lvl_env v of
-			Just lvl -> dest_lvl `ltLvl` lvl
-			Nothing  -> False
+                        Just lvl -> dest_lvl `ltLvl` lvl
+                        Nothing  -> False
 
-	-- We are going to lambda-abstract, so nuke any IdInfo,
-	-- and add the tyvars of the Id (if necessary)
+        -- We are going to lambda-abstract, so nuke any IdInfo,
+        -- and add the tyvars of the Id (if necessary)
     zap v | isId v = WARN( isStableUnfolding (idUnfolding v) ||
-		           not (isEmptySpecInfo (idSpecialisation v)),
-		           text "absVarsOf: discarding info on" <+> ppr v )
-		     setIdInfo v vanillaIdInfo
-	  | otherwise = v
+                           not (isEmptySpecInfo (idSpecialisation v)),
+                           text "absVarsOf: discarding info on" <+> ppr v )
+                     setIdInfo v vanillaIdInfo
+          | otherwise = v
 
 absVarsOf :: IdEnv ([Var], LevelledExpr) -> Var -> VarSet
-	-- If f is free in the expression, and f maps to poly_f a b c in the
-	-- current substitution, then we must report a b c as candidate type
-	-- variables
-	--
-	-- Also, if x::a is an abstracted variable, then so is a; that is,
-	-- we must look in x's type. What's more, if a mentions kind variables,
-	-- we must also return those.
+        -- If f is free in the expression, and f maps to poly_f a b c in the
+        -- current substitution, then we must report a b c as candidate type
+        -- variables
+        --
+        -- Also, if x::a is an abstracted variable, then so is a; that is,
+        -- we must look in x's type. What's more, if a mentions kind variables,
+        -- we must also return those.
 absVarsOf id_env v 
   | isId v, Just (abs_vars, _) <- lookupVarEnv id_env v
   = foldr (unionVarSet . close) emptyVarSet abs_vars
@@ -1064,15 +1058,15 @@ newPolyBndrs dest_lvl env abs_vars bndrs = do
     let new_bndrs = zipWith mk_poly_bndr bndrs uniqs
     return (extendPolyLvlEnv dest_lvl env abs_vars (bndrs `zip` new_bndrs), new_bndrs)
   where
-    mk_poly_bndr bndr uniq = transferPolyIdInfo bndr abs_vars $ 	-- Note [transferPolyIdInfo] in Id.lhs
-			     mkSysLocal (mkFastString str) uniq poly_ty
-			   where
-			     str     = "poly_" ++ occNameString (getOccName bndr)
-			     poly_ty = mkPiTypes abs_vars (idType bndr)
-
-newLvlVar :: [CoreBndr] -> Type 	-- Abstract wrt these bndrs
-	  -> Maybe (Arity, StrictSig)   -- Note [Bottoming floats]
-	  -> LvlM Id
+    mk_poly_bndr bndr uniq = transferPolyIdInfo bndr abs_vars $         -- Note [transferPolyIdInfo] in Id.lhs
+                             mkSysLocal (mkFastString str) uniq poly_ty
+                           where
+                             str     = "poly_" ++ occNameString (getOccName bndr)
+                             poly_ty = mkPiTypes abs_vars (idType bndr)
+
+newLvlVar :: [CoreBndr] -> Type         -- Abstract wrt these bndrs
+          -> Maybe (Arity, StrictSig)   -- Note [Bottoming floats]
+          -> LvlM Id
 newLvlVar vars body_ty mb_bot
   = do { uniq <- getUniqueM
        ; return (mkLocalIdWithInfo (mk_name uniq) (mkPiTypes vars body_ty) info) }
@@ -1080,11 +1074,11 @@ newLvlVar vars body_ty mb_bot
     mk_name uniq = mkSystemVarName uniq (mkFastString "lvl")
     arity = count isId vars
     info = case mb_bot of
-		Nothing               -> vanillaIdInfo
-		Just (bot_arity, sig) -> 
+                Nothing               -> vanillaIdInfo
+                Just (bot_arity, sig) -> 
                      vanillaIdInfo 
-		    `setArityInfo`      (arity + bot_arity)
-		    `setStrictnessInfo` (increaseStrictSigArity arity sig)
+                    `setArityInfo`      (arity + bot_arity)
+                    `setStrictnessInfo` (increaseStrictSigArity arity sig)
     
 -- The deeply tiresome thing is that we have to apply the substitution
 -- to the rules inside each Id.  Grr.  But it matters.
@@ -1097,7 +1091,7 @@ substLetBndrNonRec
     (env', bndr' )
   where
     (subst', bndr') = substBndr subst bndr
-    env'	    = le { le_lvl_env = extendVarEnv lvl_env bndr bind_lvl
+    env'            = le { le_lvl_env = extendVarEnv lvl_env bndr bind_lvl
                          , le_subst = subst'
                          , le_env = delVarEnv id_env bndr }
 
@@ -1109,7 +1103,7 @@ substLetBndrsRec
     (env', bndrs')
   where
     (subst', bndrs') = substRecBndrs subst bndrs
-    env'	     = le { le_lvl_env = extendVarEnvList lvl_env [(b,bind_lvl) | b <- bndrs]
+    env'             = le { le_lvl_env = extendVarEnvList lvl_env [(b,bind_lvl) | b <- bndrs]
                           , le_subst = subst'
                           , le_env = delVarEnvList id_env bndrs }
 
@@ -1117,10 +1111,10 @@ cloneVar :: LevelEnv -> Var -> Level -> LvlM (LevelEnv, Var)
 cloneVar env v dest_lvl -- Works for Ids, TyVars and CoVars
   = do { u <- getUniqueM
        ; let (subst', v1) = cloneBndr (le_subst env) u v
-      	     v2     	  = if isId v1 
+             v2           = if isId v1 
                             then zapDemandIdInfo v1  
                             else v1
-      	     env'	  = extendCloneLvlEnv dest_lvl env subst' [(v,v2)]
+             env'         = extendCloneLvlEnv dest_lvl env subst' [(v,v2)]
        ; return (env', v2) }
 
 cloneVars :: LevelEnv -> [Var] -> Level -> LvlM (LevelEnv, [Var])
@@ -1133,8 +1127,8 @@ cloneRecVars env vs dest_lvl -- Works for CoVars too (since cloneRecIdBndrs does
     let
       (subst', vs1) = cloneRecIdBndrs (le_subst env) us vs
       -- Note [Zapping the demand info]
-      vs2	    = map zapDemandIdInfo vs1  
-      env'	    = extendCloneLvlEnv dest_lvl env subst' (vs `zip` vs2)
+      vs2           = map zapDemandIdInfo vs1  
+      env'          = extendCloneLvlEnv dest_lvl env subst' (vs `zip` vs2)
     return (env', vs2)
 \end{code}
 
@@ -1147,4 +1141,4 @@ binding site.  Eg
    f x = let v = 3*4 in v+x
 Here v is strict; but if we float v to top level, it isn't any more.
 
-	
+        
diff --git a/compiler/stranal/WorkWrap.lhs b/compiler/stranal/WorkWrap.lhs
index 6a448ca..9701a47 100644
--- a/compiler/stranal/WorkWrap.lhs
+++ b/compiler/stranal/WorkWrap.lhs
@@ -4,26 +4,20 @@
 \section[WorkWrap]{Worker/wrapper-generating back-end of strictness analyser}
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module WorkWrap ( wwTopBinds ) where
 
 import CoreSyn
-import CoreUnfold	( certainlyWillInline, mkInlineUnfolding, mkWwInlineRule )
-import CoreUtils	( exprType, exprIsHNF )
-import CoreArity	( exprArity )
+import CoreUnfold       ( certainlyWillInline, mkInlineUnfolding, mkWwInlineRule )
+import CoreUtils        ( exprType, exprIsHNF )
+import CoreArity        ( exprArity )
 import Var
 import Id
 import IdInfo
 import UniqSupply
 import BasicTypes
 import DynFlags
-import VarEnv		( isEmptyVarEnv )
+import VarEnv           ( isEmptyVarEnv )
 import Demand
 import WwLib
 import Util
@@ -69,9 +63,9 @@ wwTopBinds dflags us top_binds
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[wwBind-wwExpr]{@wwBind@ and @wwExpr@}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 @wwBind@ works on a binding, trying each \tr{(binder, expr)} pair in
@@ -80,9 +74,9 @@ turn.  Non-recursive case first, then recursive...
 \begin{code}
 wwBind  :: DynFlags
         -> CoreBind
-	-> UniqSM [CoreBind]	-- returns a WwBinding intermediate form;
-				-- the caller will convert to Expr/Binding,
-				-- as appropriate.
+        -> UniqSM [CoreBind]    -- returns a WwBinding intermediate form;
+                                -- the caller will convert to Expr/Binding,
+                                -- as appropriate.
 
 wwBind dflags (NonRec binder rhs) = do
     new_rhs <- wwExpr dflags rhs
@@ -138,9 +132,9 @@ wwExpr dflags (Case expr binder ty alts) = do
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[tryWW]{@tryWW@: attempt a worker/wrapper pair}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 @tryWW@ just accumulates arguments, converts strictness info from the
@@ -216,11 +210,11 @@ late in the pipeline, and we want to prioritise specialisations over
 strictness.  Eg if we have 
   module Foo where
     f :: Num a => a -> Int -> a
-    f n 0 = n  	       	   -- Strict in the Int, hence wrapper
+    f n 0 = n              -- Strict in the Int, hence wrapper
     f n x = f (n+n) (x-1)
 
     g :: Int -> Int
-    g x = f x x		   -- Provokes a specialisation for f
+    g x = f x x            -- Provokes a specialisation for f
 
   module Bsr where
     import Foo
@@ -239,26 +233,26 @@ it appears in the first place in the defining module.
 \begin{code}
 tryWW   :: DynFlags
         -> RecFlag
-	-> Id				-- The fn binder
-	-> CoreExpr			-- The bound rhs; its innards
-					--   are already ww'd
-	-> UniqSM [(Id, CoreExpr)]	-- either *one* or *two* pairs;
-					-- if one, then no worker (only
-					-- the orig "wrapper" lives on);
-					-- if two, then a worker and a
-					-- wrapper.
+        -> Id                           -- The fn binder
+        -> CoreExpr                     -- The bound rhs; its innards
+                                        --   are already ww'd
+        -> UniqSM [(Id, CoreExpr)]      -- either *one* or *two* pairs;
+                                        -- if one, then no worker (only
+                                        -- the orig "wrapper" lives on);
+                                        -- if two, then a worker and a
+                                        -- wrapper.
 tryWW dflags is_rec fn_id rhs
   | isNeverActive inline_act
-	-- No point in worker/wrappering if the thing is never inlined!
-	-- Because the no-inline prag will prevent the wrapper ever
-	-- being inlined at a call site. 
-	-- 
-	-- Furthermore, don't even expose strictness info
+        -- No point in worker/wrappering if the thing is never inlined!
+        -- Because the no-inline prag will prevent the wrapper ever
+        -- being inlined at a call site. 
+        -- 
+        -- Furthermore, don't even expose strictness info
   = return [ (fn_id, rhs) ]
 
   | is_thunk && worthSplittingThunk fn_dmd res_info
-  	-- See Note [Thunk splitting]
-  = ASSERT2( isNonRec is_rec, ppr new_fn_id )	-- The thunk must be non-recursive
+        -- See Note [Thunk splitting]
+  = ASSERT2( isNonRec is_rec, ppr new_fn_id )   -- The thunk must be non-recursive
     checkSize dflags new_fn_id rhs $ 
     splitThunk dflags new_fn_id rhs
 
@@ -270,30 +264,30 @@ tryWW dflags is_rec fn_id rhs
   = return [ (new_fn_id, rhs) ]
 
   where
-    fn_info   	 = idInfo fn_id
+    fn_info      = idInfo fn_id
     fn_dmd       = demandInfo fn_info
     inline_act   = inlinePragmaActivation (inlinePragInfo fn_info)
 
-	-- In practice it always will have a strictness 
-	-- signature, even if it's a uninformative one
+        -- In practice it always will have a strictness 
+        -- signature, even if it's a uninformative one
     strict_sig  = strictnessInfo fn_info
     StrictSig (DmdType env wrap_dmds res_info) = strict_sig
 
-	-- new_fn_id has the DmdEnv zapped.  
-	--	(a) it is never used again
-	--	(b) it wastes space
-	--	(c) it becomes incorrect as things are cloned, because
-	--	    we don't push the substitution into it
+        -- new_fn_id has the DmdEnv zapped.  
+        --      (a) it is never used again
+        --      (b) it wastes space
+        --      (c) it becomes incorrect as things are cloned, because
+        --          we don't push the substitution into it
     new_fn_id | isEmptyVarEnv env = fn_id
-	      | otherwise	  = fn_id `setIdStrictness` 
-				     StrictSig (mkTopDmdType wrap_dmds res_info)
+              | otherwise         = fn_id `setIdStrictness` 
+                                     StrictSig (mkTopDmdType wrap_dmds res_info)
 
     is_fun    = notNull wrap_dmds
     is_thunk  = not is_fun && not (exprIsHNF rhs)
 
 ---------------------
 checkSize :: DynFlags -> Id -> CoreExpr
-	  -> UniqSM [(Id,CoreExpr)] -> UniqSM [(Id,CoreExpr)]
+          -> UniqSM [(Id,CoreExpr)] -> UniqSM [(Id,CoreExpr)]
 checkSize dflags fn_id rhs thing_inside
   | isStableUnfolding (realIdUnfolding fn_id)
   = return [ (fn_id, rhs) ]
@@ -304,9 +298,9 @@ checkSize dflags fn_id rhs thing_inside
 
   | certainlyWillInline dflags (idUnfolding fn_id)
   = return [ (fn_id `setIdUnfolding` inline_rule, rhs) ]
-	-- Note [Don't w/w inline small non-loop-breaker things]
-	-- NB: use idUnfolding because we don't want to apply
-	--     this criterion to a loop breaker!
+        -- Note [Don't w/w inline small non-loop-breaker things]
+        -- NB: use idUnfolding because we don't want to apply
+        --     this criterion to a loop breaker!
 
   | otherwise = thing_inside
   where
@@ -318,64 +312,64 @@ splitFun :: DynFlags -> Id -> IdInfo -> [Demand] -> DmdResult -> Expr Var
 splitFun dflags fn_id fn_info wrap_dmds res_info rhs
   = WARN( not (wrap_dmds `lengthIs` arity), ppr fn_id <+> (ppr arity $$ ppr wrap_dmds $$ ppr res_info) ) 
     (do {
-	-- The arity should match the signature
+        -- The arity should match the signature
       (work_demands, wrap_fn, work_fn) <- mkWwBodies dflags fun_ty wrap_dmds res_info one_shots
     ; work_uniq <- getUniqueM
     ; let
-	work_rhs = work_fn rhs
-	work_id  = mkWorkerId work_uniq fn_id (exprType work_rhs) 
-		        `setIdOccInfo` occInfo fn_info
-				-- Copy over occurrence info from parent
-				-- Notably whether it's a loop breaker
-				-- Doesn't matter much, since we will simplify next, but
-				-- seems right-er to do so
-
-			`setInlineActivation` (inlinePragmaActivation inl_prag)
-				-- Any inline activation (which sets when inlining is active) 
-				-- on the original function is duplicated on the worker
-				-- It *matters* that the pragma stays on the wrapper
-				-- It seems sensible to have it on the worker too, although we
-				-- can't think of a compelling reason. (In ptic, INLINE things are 
-				-- not w/wd). However, the RuleMatchInfo is not transferred since
+        work_rhs = work_fn rhs
+        work_id  = mkWorkerId work_uniq fn_id (exprType work_rhs) 
+                        `setIdOccInfo` occInfo fn_info
+                                -- Copy over occurrence info from parent
+                                -- Notably whether it's a loop breaker
+                                -- Doesn't matter much, since we will simplify next, but
+                                -- seems right-er to do so
+
+                        `setInlineActivation` (inlinePragmaActivation inl_prag)
+                                -- Any inline activation (which sets when inlining is active) 
+                                -- on the original function is duplicated on the worker
+                                -- It *matters* that the pragma stays on the wrapper
+                                -- It seems sensible to have it on the worker too, although we
+                                -- can't think of a compelling reason. (In ptic, INLINE things are 
+                                -- not w/wd). However, the RuleMatchInfo is not transferred since
                                 -- it does not make sense for workers to be constructorlike.
 
-			`setIdStrictness` StrictSig (mkTopDmdType work_demands work_res_info)
-				-- Even though we may not be at top level, 
-				-- it's ok to give it an empty DmdEnv
+                        `setIdStrictness` StrictSig (mkTopDmdType work_demands work_res_info)
+                                -- Even though we may not be at top level, 
+                                -- it's ok to give it an empty DmdEnv
 
                         `setIdArity` (exprArity work_rhs)
                                 -- Set the arity so that the Core Lint check that the 
                                 -- arity is consistent with the demand type goes through
 
-	wrap_rhs  = wrap_fn work_id
-	wrap_prag = InlinePragma { inl_inline = Inline
+        wrap_rhs  = wrap_fn work_id
+        wrap_prag = InlinePragma { inl_inline = Inline
                                  , inl_sat    = Nothing
                                  , inl_act    = ActiveAfter 0
                                  , inl_rule   = rule_match_info }
-		-- See Note [Wrapper activation]
-		-- The RuleMatchInfo is (and must be) unaffected
-		-- The inl_inline is bound to be False, else we would not be
-		--    making a wrapper
+                -- See Note [Wrapper activation]
+                -- The RuleMatchInfo is (and must be) unaffected
+                -- The inl_inline is bound to be False, else we would not be
+                --    making a wrapper
 
-	wrap_id   = fn_id `setIdUnfolding` mkWwInlineRule wrap_rhs arity
-			  `setInlinePragma` wrap_prag
-		          `setIdOccInfo` NoOccInfo
-			        -- Zap any loop-breaker-ness, to avoid bleating from Lint
-				-- about a loop breaker with an INLINE rule
+        wrap_id   = fn_id `setIdUnfolding` mkWwInlineRule wrap_rhs arity
+                          `setInlinePragma` wrap_prag
+                          `setIdOccInfo` NoOccInfo
+                                -- Zap any loop-breaker-ness, to avoid bleating from Lint
+                                -- about a loop breaker with an INLINE rule
 
     ; return ([(work_id, work_rhs), (wrap_id, wrap_rhs)]) })
-	-- Worker first, because wrapper mentions it
-	-- mkWwBodies has already built a wrap_rhs with an INLINE pragma wrapped around it
+        -- Worker first, because wrapper mentions it
+        -- mkWwBodies has already built a wrap_rhs with an INLINE pragma wrapped around it
   where
     fun_ty          = idType fn_id
     inl_prag        = inlinePragInfo fn_info
     rule_match_info = inlinePragmaRuleMatchInfo inl_prag
-    arity           = arityInfo fn_info	
-    		    -- The arity is set by the simplifier using exprEtaExpandArity
-		    -- So it may be more than the number of top-level-visible lambdas
+    arity           = arityInfo fn_info 
+                    -- The arity is set by the simplifier using exprEtaExpandArity
+                    -- So it may be more than the number of top-level-visible lambdas
 
-    work_res_info | isBotRes res_info = botRes	-- Cpr stuff done by wrapper
-		  | otherwise	      = topRes
+    work_res_info | isBotRes res_info = botRes  -- Cpr stuff done by wrapper
+                  | otherwise         = topRes
 
     one_shots = get_one_shots rhs
 
@@ -388,7 +382,7 @@ get_one_shots (Lam b e)
   | isId b    = isOneShotLambda b : get_one_shots e
   | otherwise = get_one_shots e
 get_one_shots (Tick _ e) = get_one_shots e
-get_one_shots _    	 = noOneShotInfo
+get_one_shots _          = noOneShotInfo
 
 noOneShotInfo :: [Bool]
 noOneShotInfo = repeat False
@@ -400,24 +394,24 @@ Suppose x is used strictly (never mind whether it has the CPR
 property).  
 
       let
-	x* = x-rhs
+        x* = x-rhs
       in body
 
 splitThunk transforms like this:
 
       let
-	x* = case x-rhs of { I# a -> I# a }
+        x* = case x-rhs of { I# a -> I# a }
       in body
 
 Now simplifier will transform to
 
       case x-rhs of 
-	I# a ->	let x* = I# a 
-	        in body
+        I# a -> let x* = I# a 
+                in body
 
 which is what we want. Now suppose x-rhs is itself a case:
 
-	x-rhs = case e of { T -> I# a; F -> I# b }
+        x-rhs = case e of { T -> I# a; F -> I# b }
 
 The join point will abstract over a, rather than over (which is
 what would have happened before) which is fine.
@@ -431,11 +425,11 @@ then the splitting will go deeper too.
 \begin{code}
 -- See Note [Thunk splitting]
 -- splitThunk converts the *non-recursive* binding
---	x = e
+--      x = e
 -- into
---	x = let x = e
---	    in case x of 
---		 I# y -> let x = I# y in x }
+--      x = let x = e
+--          in case x of 
+--               I# y -> let x = I# y in x }
 -- See comments above. Is it not beautifully short?
 -- Moreover, it works just as well when there are
 -- several binders, and if the binders are lifted
